Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=2155444

1. Proposed title of this feature request.

=> Need to verify that if the host is registered successfully using global template by using any ansible playbook or script

2. What are the nature and description of the request?

Customer concern is if there is problem when registering a host how would a program running the registration know, means if

script is used to register host how script will know if it has fully worked or not. Is there any exit status for it or any messages.

Customer was trying to register client using global registration template and while executing curl command the client was

registered but it failed at one point and the echo $? showed exit status as 0.

Customer expectation is it should show 1 or any other exits status. In unix/linux, in general, if an exit status (shell variable $?) is

greater than zero, it is considered an error.  In the current situation, the exit status for global registration templates, will be zero,

even if registration was not successful.

I tried to check on this and curl command gave an exit status of zero even if it failed to install the insight packages or was not

able to resolve the satellite hostname.

3. Why do you need this? (List the business requirements here).

Need to verify that if the host is registered successfully using global template by using any ansible playbook or script

4. How would you like to achieve this? (List the functional requirements here).

If Script runs to register and if at any step it fails then echo $? should return non zero value instead of zero based on last run step.

5. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully

implemented.

We will try to register host using global registration template and try to fail it intentionaly at one step then check echo $? output.

6. Do you have any specific timeline dependencies and which release would they like to target (i.e. Satellite 6.8,7)?

NA

7. List any affected packages or components.

NA

8. Would you be able to assist in testing this functionality if implemented?

Yes

Associated revisions

Revision e62f026b - 01/15/2024 08:19 AM - Nofar Alfassi

Fixes #36969 - return the actual exit status of registration command

Include `set -o pipefail` in registration command for improved error handling.
History

#1 - 12/07/2023 04:37 PM - Nofar Alfassi

- Subject changed from Registration command should not fail with status 0

 to Registration command should not fail with status 0

- Assignee set to Nofar Alfassi

#2 - 12/10/2023 12:29 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/9948 added

#3 - 01/15/2024 08:20 AM - The Foreman Bot

- Fixed in Releases 3.10.0 added

#4 - 01/15/2024 09:00 AM - Nofar Alfassi

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|e62f026b97cd87ff52b367b228b774d5fa0d4d35.
